IntrospectorTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.IntrospectorTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class IntrospectorTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.IntrospectorTestCase

All Implemented Interfaces:
  junit.framework.Test

public class IntrospectorTestCase
extends BaseTestCase

Test case for the Velocity Introspector which uses the Java Reflection API to determine the correct signature of the methods used in VTL templates. This should be split into separate tests for each of the methods searched for but this is a start for now.

Version:
  $Id: IntrospectorTestCase.java,v 1.10.8.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jason van Zyl

Nested Class Summary
`static class` | `IntrospectorTestCase.MethodProvider`

Field Summary
`private java.util.ArrayList` | `failures`
`private java.lang.reflect.Method` | `method`
`private java.lang.String` | `result`
`private java.lang.String` | `type`

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`(package private)` | `IntrospectorTestCase()`
`` | `IntrospectorTestCase(java.lang.String name)` Creates a new instance.

Method Summary
`void` | `runTest()`
`static junit.framework.Test` | `suite()` Get the containing `TestSuite`.

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    private java.lang.reflect.Method method

### result

    private java.lang.String result

### type

    private java.lang.String type

### failures

    private java.util.ArrayList failures

Constructor Detail

### IntrospectorTestCase

    IntrospectorTestCase()

### IntrospectorTestCase

    public IntrospectorTestCase(java.lang.String name)

  Creates a new instance.

Method Detail

### suite

    public static junit.framework.Test suite()

  Get the containing `TestSuite`. This is always `VelocityTestSuite`.

  Returns:
    The `TestSuite` to run.

### runTest

    public void runTest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.